/*
	Sample of Usage of the DOM API for updating a document
*/

var root = document.documentElement;

// Clean part


var res = root.getElementsByTagName( "TEST" );
for ( var i = 0; i < res.length; i++ ) {
	root.removeChild( res[ i ] ); 
}

var res = root.getElementsByTagName( "BeforeMyTag" );
for ( var i = 0; i < res.length; i++ ) {
	root.removeChild( res[ i ] ); 
}

// Add a new attribute at the root

root.setAttribute( "ID", document.documentURI );  

// Remove all the previous "MyTag"

var myTags = root.evaluate( 
"//MyTag" );

for ( i = 0; i < myTags.length; i++ )
	myTags[i].parentNode.removeChild( myTags[ i ] );


// Add a new child "MyTag" inside the root

var newElement = document.createElement( "MyTag" ); 
newElement.setAttribute( "id", "ABC" ); 
newElement.setAttribute( "No", "123" );

// Add a text node inside

var withText = document.createTextNode( "My text inside" );

newElement.append( withText );

root.append( newElement ); 

var newElement2 = document.createElement( "BeforeMyTag" );

root.insertBefore( newElement2, newElement );


